Bug 443649 - devel package should Provide static, not the reverse
devel package should Provide static, not the reverse
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: uudeview (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 13:40 EDT by Patrice Dumas
Modified: 2008-05-05 05:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 05:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
name the devel package devel (2.30 KB, patch)
2008-04-27 08:26 EDT, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2008-04-22 13:40:54 EDT
Description of problem:

Currently the -static package contains the devel bits and the 
static library and it Provides: uulib-static. It should be the
reverse, the package should be called uulib-devel and Provides 
uulib-static. This is what I suggest.

Alternatively you can split in a -devel and a -static package, with the
-static package holding only the static lib, and the devel package having
a:
Requires: uulib-static.

I can do a patch if desired.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adrian Reber 2008-04-22 17:33:01 EDT
patch sounds great
Comment 2 Patrice Dumas 2008-04-27 08:26:46 EDT
Created attachment 303913 [details]
name the devel package devel
Comment 3 Adrian Reber 2008-04-30 16:04:48 EDT
Thanks. Will apply it in a few days to the devel branch.
Comment 4 Adrian Reber 2008-05-05 05:32:11 EDT
Thanks for your patch. I have applied it.

Note You need to log in before you can comment on or make changes to this bug.